Subject: Re: [PATCH] Glean libexec path from argv[0] for git-upload-pack and git-receive-pack.

From: Steve Haslam <[email-masked]>
Date: Wed, 30 Jul 2008 19:53:32 +0100

Johannes Schindelin wrote:
> Hi,
>
> On Wed, 30 Jul 2008, Steve Haslam wrote:
>   
>> I think that once git-upload-pack.c et al get the argv[0] path over to 
>> setup_path() then there's nothing more to do; setup_path() already uses 
>> argv0_path in its list of paths to try. I'm confused to the reference to 
>> PATH, though: we're avoiding the PATH environment variable completely.
>>     
>
> There is an issue in setting up the argv0_path when Git is called as "git" 
> and resolved via the PATH: argv[0] then is literally "git".
>
> And we need argv0_path for other things than just calling programs: 
> relative etc/gitconfig and libexecdir.
>   
Ah, I see what you meant. And all setup_path() actually does is add to 
the end of PATH. I should have understood before.

OK, I will split the patch up and tidy it.

SRH